
Redmine - Defect #34575

HTTP 500(string modified) when accessing 'repository' tab(git)

2021-01-08 10:42 - d okumura

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

General

Trying to access 'repository' tab gives error 500.

I, [2021-01-07T07:06:37.585858 #1]  INFO -- : Started GET "/redmine/projects/project0009/repositor

y/documents" for 172.19.0.16 at 2021-01-07 07:06:37 +0000

I, [2021-01-07T07:06:37.586336 #1]  INFO -- : Processing by RepositoriesController#show as HTML

I, [2021-01-07T07:06:37.586364 #1]  INFO -- :   Parameters: {"id"=>"project0009", "repository_id"=

>"documents"}

I, [2021-01-07T07:06:37.611554 #1]  INFO -- :   Current user: user (id=5) 

172.19.0.16 - - [07/Jan/2021:07:06:37 UTC] "GET /redmine/projects/project0009/repository/documents

 HTTP/1.0" 500 648

http://server/redmine/projects/project0009/repository/src?utf8=%E2%9C%93&rev=master -> /redmine/pr

ojects/project0009/repository/documents

W, [2021-01-07T07:06:37.695180 #1]  WARN -- : #<Net::HTTPOK 200 OK readbody=true>

I, [2021-01-07T07:06:37.715528 #1]  INFO -- : Completed 500 Internal Server Error in 129ms (Active

Record: 37.6ms)

F, [2021-01-07T07:06:37.716005 #1] FATAL -- :

F, [2021-01-07T07:06:37.716022 #1] FATAL -- : RuntimeError (string modified):

F, [2021-01-07T07:06:37.716032 #1] FATAL -- :

F, [2021-01-07T07:06:37.716043 #1] FATAL -- : app/models/changeset.rb:130:in `scan'

app/models/changeset.rb:130:in `scan_comment_for_issue_ids'

app/models/changeset.rb:103:in `scan_for_issues'

app/models/repository/git.rb:221:in `save_revision'

app/models/repository/git.rb:210:in `block (2 levels) in save_revisions'

app/models/repository/git.rb:207:in `block in save_revisions'

app/models/repository/git.rb:206:in `each'

app/models/repository/git.rb:206:in `save_revisions'

app/models/repository/git.rb:156:in `fetch_changesets'

app/controllers/repositories_controller.rb:86:in `show'

lib/redmine/sudo_mode.rb:65:in `sudo_mode'

 Repository is git.

The commits' log contains issue no., changing issue status. (ex: fix #0000)

If the commit log does not contain changing status, 'repository' tab is displayed.

Environment

docker-image: redmine:4.1.1

PostgreSQL 9.6.17 on x86_64-pc-linux-musl, compiled by gcc (Alpine 9.2.0) 9.2.0, 64-bit

[user@server redmine]$ sudo docker-compose exec redmine bash

root@e0f334be3da2:/usr/src/redmine# ruby bin/about

W, [2021-01-08T09:06:09.251015 #30077]  WARN -- : Creating scope :sorted. Overwriting existing met

hod User.sorted.

W, [2021-01-08T09:06:09.254205 #30077]  WARN -- : Creating scope :sorted. Overwriting existing met

hod Group.sorted.

W, [2021-01-08T09:06:09.276052 #30077]  WARN -- : Creating scope :system. Overwriting existing met

hod Enumeration.system.

sh: 1: cvs: not found
Environment:

  Redmine version                4.1.1.stable

  Ruby version                   2.6.6-p146 (2020-03-31) [x86_64-linux]

  Rails version                  5.2.4.2

  Environment                    production

  Database adapter               PostgreSQL

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.10.4

  Mercurial                      4.8.2

  Bazaar                         2.8.0

  Git                            2.20.1

  Filesystem

Redmine plugins:

  clipboard_image_paste          1.13

  easy_gantt                     1.12

  redmine_ldap_sync              2.2.0

  redmine_messenger              1.0.8-master

  redmine_wiki_unc               0.0.4

  redmine_work_time              0.4.1

root@e0f334be3da2:/usr/src/redmine# uname -a

Linux e0f334be3da2 3.10.0-1160.11.1.el7.x86_64 #1 SMP Fri Dec 18 16:34:56 UTC 2020 x86_64 GNU/Linu

x

root@e0f334be3da2:/usr/src/redmine# cat /etc/os-release

PRETTY_NAME="Debian GNU/Linux 10 (buster)" 

(snip)

History

#1 - 2021-01-08 14:24 - d okumura

This seems to be caused by redmine_messenger plug-in.

Once disabled redmine_messenger, it works.

The plugin has same issue.

https://github.com/AlphaNodes/redmine_messenger/issues/76

#2 - 2021-01-09 02:23 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

d okumura wrote:

This seems to be caused by redmine_messenger plug-in.

Once disabled redmine_messenger, it works.

 Thank you for clarifying it.

Since it is a plugin issue, I am closing this issue.
